# These are some examples of commonly ignored file patterns.
# You should customize this list as applicable to your project.
# Learn more about .gitignore:
#     https://www.atlassian.com/git/tutorials/saving-changes/gitignore

# Node artifact files
node_modules/
dist/

# Compiled Java class files
*.class

# Compiled Python bytecode
*.py[cod]

# Log files
*.log

# Package files
*.jar

# Maven
target/
dist/

# JetBrains IDE
.idea/

# Unit test reports
TEST*.xml

# Generated by MacOS
.DS_Store

# Generated by Windows
Thumbs.db

# Applications
*.app
*.exe
*.war

# Large media files
*.mp4
*.tiff
*.avi
*.flv
*.mov
*.wmv

/bin/
/build/
/.gradle/

# gradle-wrapper.jar를 제외 목록에서 제거하거나
# 다음 라인을 추가하여 명시적으로 포함
!gradle/wrapper/gradle-wrapper.jar
.classpath
.settings/org.eclipse.buildship.core.prefs
.settings/org.eclipse.jdt.core.prefs
.settings/org.eclipse.jdt.core.prefs
.settings/org.eclipse.buildship.core.prefs
.classpath

# Wiki repo (별도 git 리포)
.wiki/

# Agent workflows
.agent/
